// CSS uses Bulma, cfr. https://bulma.io/documentation/customize/variables/

@charset "utf-8";

$text: #000;
$primary: #a21f16;

@import "../opt/bulma/bulma.sass";

/*
  General
*/

html {
  background: $scheme-main-bis;
}

body {
  background: $scheme-main;
  overflow-x: hidden;
  display: flex;
  flex-flow: column;
  height: 100%;
  min-height: 100vh;
}

body > section {
  flex: 1 0 auto;
}

/* Header */

nav#nav .header {
  max-width: calc(100% - 3rem);
}

nav#nav .is-hidden-touch .buttons {
  padding-right: 2rem;
  padding-top: 2rem;
}

nav#nav .is-hidden-desktop .buttons {
  float: right;
  padding-right: .5rem;
}

nav#nav .buttons .button {
  border-radius: 4px;
}

/* Search */

div#search-bar {
  margin: 2rem auto;
}

div#search-bar > * {
  width: 80%;
  max-width: 768px;
  margin: auto;
}

form.search-bar div.field.has-addons {
  @include touch {
    display: initial;
  }
}

form.search-bar p.control {
  @include touch {
    margin: 0 auto 2rem 0;
  }
}

form.search-bar div.field.has-addons * {
  @include touch {
    width: 100%;
  }
}

div#table {
  overflow-x: auto;
}

div#table > table {
  min-width: 1024px;
}

table.results .index {
  width: 4rem;
}

table.results .doc {
  width: 0;
}

table.results .matches > *:not(div) {
  font-weight: bold;
}

div#stats {
  margin: 1.5rem;
}

nav#paginator {
  width: 90%;
  margin-top: 3rem;
  margin-left: 5%;
}

/* Modal */

.modal {
  max-width: 100vw;
}

.modal-button {
  border-bottom: 1px dotted black;
  cursor: pointer;
  color: inherit;
}

.modal:target {
  display: flex;
}

/* Notifications */

div.box.notification {
  padding: 0.5rem;
  width: 100%;
}

/* Quick links */

div#quick-links {
  display: flex;
  clear: both;
  margin: 4rem auto;
  text-align: center;
  justify-content: center;

  @include mobile {
    display: initial;
  }
}

div#quick-links div {
  float: left;
  margin: 0 2rem;

  @include mobile {
    float: none;
    margin: 1rem 2rem;
  }
}

div#quick-links span {
  display: block;
}

/* Footer */

footer.footer {
  width: 100%;
  padding: 1rem;
}

footer.footer p {
  @include tablet {
    display: inline;
    margin-right: 2rem;
  }
}

/*
  Specific
*/

/* Home */

div#logo {
  width: 80%;
  max-width: 500px;
  margin: 5rem auto 0 auto;

  @include mobile {
    margin: 2rem auto 0 auto;
  }
}

div#logo img {
  display: block;
  margin: auto;
}
